gnome-sharp 2.20.0.0 2.24.0.0 Gtk# is thread aware, but not thread safe; See the Gtk# Thread Programming for details. Gnome.CanvasItem System.Obsolete To be added To be added
- Constructor
  2.24.0.0
  To be added
  To be added
- Constructor
  2.24.0.0
  System.Obsolete
  a
  Protected Constructor.
  Chain to this constructor if you have manually registered a native value for your subclass.
- Constructor
  2.24.0.0
  To be added: an object of type 'Gnome.CanvasGroup'
  To be added
  To be added
- Constructor
  2.24.0.0
  Pointer to the C object.
  Internal constructor

  This is an internal constructor, and should not be used by user code.

- Method
  2.24.0.0
  System.Void `` `` `` `` `` `` `` To be added: an object of type 'int' To be added: an object of type 'int' To be added: an object of type 'int' To be added: an object of type 'string' To be added: an object of type 'string' To be added: an object of type 'bool' To be added: an object of type 'bool' To be added To be added
- Property
  2.24.0.0
  Gtk.Editable To be added To be added: an object of type 'Gtk.Editable' To be added
- Event
  2.24.0.0
  GLib.Signal("editing_started")
  System.EventHandler To be added To be added
- Event
  2.24.0.0
  GLib.Signal("editing_stopped")
  System.EventHandler To be added To be added
- Method
  2.24.0.0
  System.Void `` To be added: an object of type 'bool' To be added To be added
- Property
  2.24.0.0
  GLib.GType GType Property. a Returns the native value for .
- Event
  2.24.0.0
  GLib.Signal("height_changed")
  System.EventHandler To be added To be added
- Method
  2.24.0.0
  GLib.DefaultSignalHandler(ConnectionMethod="OverrideEditingStarted", Type=typeof(Gnome.IconTextItem))
  System.Void Default handler for the event. Override this method in a subclass to provide a default handler for the event.
- Method
  2.24.0.0
  GLib.DefaultSignalHandler(ConnectionMethod="OverrideEditingStopped", Type=typeof(Gnome.IconTextItem))
  System.Void Default handler for the event. Override this method in a subclass to provide a default handler for the event.
- Method
  2.24.0.0
  GLib.DefaultSignalHandler(ConnectionMethod="OverrideHeightChanged", Type=typeof(Gnome.IconTextItem))
  System.Void Default handler for the event. Override this method in a subclass to provide a default handler for the event.
- Method
  2.24.0.0
  GLib.DefaultSignalHandler(ConnectionMethod="OverrideSelectionStarted", Type=typeof(Gnome.IconTextItem))
  System.Void Default handler for the event. Override this method in a subclass to provide a default handler for the event.
- Method
  2.24.0.0
  GLib.DefaultSignalHandler(ConnectionMethod="OverrideSelectionStopped", Type=typeof(Gnome.IconTextItem))
  System.Void Default handler for the event. Override this method in a subclass to provide a default handler for the event.
- Method
  2.24.0.0
  GLib.DefaultSignalHandler(ConnectionMethod="OverrideTextChanged", Type=typeof(Gnome.IconTextItem))
  System.Boolean Default handler for the event. a Override this method in a subclass to provide a default handler for the event.
- Method
  2.24.0.0
  GLib.DefaultSignalHandler(ConnectionMethod="OverrideWidthChanged", Type=typeof(Gnome.IconTextItem))
  System.Void Default handler for the event. Override this method in a subclass to provide a default handler for the event.
- Method
  2.24.0.0
  System.Void `` To be added: an object of type 'bool' To be added To be added
- Event
  2.24.0.0
  GLib.Signal("selection_started")
  System.EventHandler To be added To be added
- Event
  2.24.0.0
  GLib.Signal("selection_stopped")
  System.EventHandler To be added To be added
- Method
  2.24.0.0
  System.Void `` `` To be added: an object of type 'int' To be added: an object of type 'int' To be added To be added
- Method
  2.24.0.0
  System.Void To be added To be added
- Method
  2.24.0.0
  System.Void `` To be added: an object of type 'bool' To be added To be added
- Property
  2.24.0.0
  System.String To be added To be added: an object of type 'string' To be added
- Event
  2.24.0.0
  GLib.Signal("text_changed")
  Gnome.TextChangedHandler To be added To be added
- Event
  2.24.0.0
  GLib.Signal("width_changed")
  System.EventHandler To be added To be added